com.buschmais.jqassistant.plugin.java.impl.scanner

## Class ClassTypeScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<I,D>
  - - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin<Class<?>,ClassFileDescriptor>
    - - com.buschmais.jqassistant.plugin.java.impl.scanner.ClassTypeScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<Class<?>,ClassFileDescriptor>

      public class ClassTypeScannerPlugin
      extends com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin<Class<?>,ClassFileDescriptor>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassTypeScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(Class<?> item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope)`
    `ClassFileDescriptor` | `scan(Class<?> item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope, com.buschmais.jqassistant.core.scanner.api.Scanner scanner)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin

      `getDescriptorType, getType, slashify, toFileDescriptor`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDirectoryPath, getProperties, getProperty, getStringProperty, getTypeParameter, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassTypeScannerPlugin

          public ClassTypeScannerPlugin()

  - ### Method Detail

    - #### accepts

          public boolean accepts(Class<?> item,
                                 String path,
                                 com.buschmais.jqassistant.core.scanner.api.Scope scope)
                          throws IOException

      Throws:
        `IOException`

    - #### scan

          public ClassFileDescriptor scan(Class<?> item,
                                          String path,
                                          com.buschmais.jqassistant.core.scanner.api.Scope scope,
                                          com.buschmais.jqassistant.core.scanner.api.Scanner scanner)
                                   throws IOException

      Throws:
        `IOException`

Copyright © 2015 buschmais GbR. All rights reserved.